#!/bin/sh


binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

PLATFORM=`/bin/uname`
case $PLATFORM in
    SunOS)

	if [ "$JAVA_HOME" = "" ]
	then
	    echo "Set the JAVA_HOME environment variable."
	    exit
	fi
	;;
    OS/390)

    if [ "$JAVA_HOME" = "" ]
    then
        echo "Set the JAVA_HOME environment variable."
        exit
    fi
    ;;
    *)

	if [ "$JAVA_HOME" == "" ]
	then
	    echo "Set the JAVA_HOME environment variable."
	    exit
	fi
	;;

esac

PSEP=":"
case $PLATFORM in
    "Windows_NT" | "CYGWIN_NT-4.0" | "CYGWIN_NT-5.0" | "CYGWIN_NT-5.1" | "CYGWIN_NT-5.2" )
	PSEP=";"
	;;
esac

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi

if [ "${OBJECTGRID_HOME}" != "" ]; then
    ${JAVA_EXE} ${WXS_REAL_TIME_JAVA} -classpath "$OBJECTGRID_HOME"/lib/objectgrid.jar${PSEP}"$OBJECTGRID_HOME"/samples/xsadmin.jar "$JAVA_ENDORSED_DIRS" com.ibm.ws.xc10.dynacache.DynacacheGridCreator "$@"
else
    ${JAVA_EXE} $WAS_LOGGING $CONSOLE_ENCODING -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config="$USER_INSTALL_ROOT/properties/wsjaas_client.conf" "-Dws.ext.dirs=$WAS_EXT_DIRS${PSEP}$WAS_HOME/plugins${PSEP}$WAS_HOME/optionalLibraries/ObjectGrid/xsadmin.jar" "-Dwas.install.root=$WAS_HOME" "$CLIENTSAS" "$CLIENTSSL" "-Duser.install.root=$USER_INSTALL_ROOT" -classpath "$WAS_CLASSPATH" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.xc10.dynacache.DynacacheGridCreator "$@"
fi;
